com.smartgwt.client.types

## Enum TitleAutoFitRotationMode

- java.lang.Object
- - java.lang.Enum<TitleAutoFitRotationMode>
  - - com.smartgwt.client.types.TitleAutoFitRotationMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TitleAutoFitRotationMode>

      public enum TitleAutoFitRotationMode
      extends java.lang.Enum<TitleAutoFitRotationMode>
      implements ValueEnum

  Strategy for determining how to place maximum-sized labels for `DrawItem.titleAutoFit`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` always rotate
    `AUTO` rotate only if doing so would allow label to be larger
    `NEVER` do not rotate

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TitleAutoFitRotationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TitleAutoFitRotationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final TitleAutoFitRotationMode NEVER

      do not rotate

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

    - #### AUTO

          public static final TitleAutoFitRotationMode AUTO

      rotate only if doing so would allow label to be larger

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

    - #### ALWAYS

          public static final TitleAutoFitRotationMode ALWAYS

      always rotate

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

  - ### Method Detail

    - #### values

          public static TitleAutoFitRotationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TitleAutoFitRotationMode c : TitleAutoFitRotationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TitleAutoFitRotationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`